org.apache.lucene.queries.payloads

## Class SpanNearPayloadCheckQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.spans.SpanQuery
    - - org.apache.lucene.queries.payloads.SpanPayloadCheckQuery
      - - org.apache.lucene.queries.payloads.SpanNearPayloadCheckQuery

- All Implemented Interfaces:
    Cloneable

  Deprecated.
  Use `SpanPayloadCheckQuery`

      @Deprecated
      public class SpanNearPayloadCheckQuery
      extends SpanPayloadCheckQuery

  Only return those matches that have a specific payload at the given position.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queries.payloads.SpanPayloadCheckQuery

      `SpanPayloadCheckQuery.SpanPayloadCheckWeight`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.payloads.SpanPayloadCheckQuery

      `match, payloadToMatch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanNearPayloadCheckQuery(SpanNearQuery match, List<BytesRef> payloadToMatch)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpanNearPayloadCheckQuery` | `clone()` Deprecated.
    `boolean` | `equals(Object o)` Deprecated.
    `int` | `hashCode()` Deprecated.
    `String` | `toString(String field)` Deprecated.

    - ### Methods inherited from class org.apache.lucene.queries.payloads.SpanPayloadCheckQuery

      `createWeight, getField`

    - ### Methods inherited from class org.apache.lucene.search.spans.SpanQuery

      `getTermContexts, getTermContexts, rewrite`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `getBoost, setBoost, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpanNearPayloadCheckQuery

          public SpanNearPayloadCheckQuery(SpanNearQuery match,
                                   List<BytesRef> payloadToMatch)

      Deprecated.
      Parameters:
        `match` - The underlying `SpanQuery` to check
        `payloadToMatch` - The `List` of payloads to match

  - ### Method Detail

    - #### toString

          public String toString(String field)

      Deprecated.
      Overrides:
        `toString` in class `SpanPayloadCheckQuery`

    - #### clone

          public SpanNearPayloadCheckQuery clone()

      Deprecated.
      Overrides:
        `clone` in class `Query`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `SpanPayloadCheckQuery`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `SpanPayloadCheckQuery`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.